%define upstream_name    Attribute-Storage
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Declare and retrieve named attributes about CODE
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildRequires: perl(XSLoader)
BuildRequires: perl(meta) >= 0.6.0
BuildRequires: perl-devel

%description
This package provides a base, where a package using it can define handlers
for particular code attributes. Other packages, using the package that
defines the code attributes, can then use them to annotate subs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# fix rights
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.120.0-3.mga10
+ Revision: 2234087
- Mageia 10 Mass Rebuild

* Mon Jan 20 2025 wally <wally> 0.120.0-2.mga10
+ Revision: 2140020
- rebuild with perl-5.40.0-3.mga10
- shorten description
- fix debug info extraction

* Thu Sep 12 2024 tv <tv> 0.120.0-1.mga10
+ Revision: 2095291
- update to 0.12

* Fri Aug 23 2024 tv <tv> 0.100.0-4.mga10
+ Revision: 2089613
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.100.0-3.mga10
+ Revision: 2012269
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.100.0-2.mga9
+ Revision: 1875077
- Rebuild for perl-5.36

* Thu May 05 2022 tv <tv> 0.100.0-1.mga9
+ Revision: 1856243
- update to 0.10

* Thu Mar 17 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1796898
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.90.0-1.mga9
+ Revision: 1777920
- imported package perl-Attribute-Storage


* Wed Feb 16 2022 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
